import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { B as BEM } from './bem.js';

const StageBody = /*@__PURE__*/ proxyCustomElement(class StageBody extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
    }
    render() {
        const block = BEM.block('stage-body');
        return (h(Host, { key: '3b059393f680516ee22d093cb77927211f1b2a2a', class: Object.assign({}, block.class()) }, h("slot", { key: '739898aeda435256a9cf052dfe265d6f28115b94' })));
    }
    get el() { return this; }
}, [260, "bal-stage-body"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bal-stage-body"];
    components.forEach(tagName => { switch (tagName) {
        case "bal-stage-body":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, StageBody);
            }
            break;
    } });
}

const BalStageBody = StageBody;
const defineCustomElement = defineCustomElement$1;

export { BalStageBody, defineCustomElement };
